Subject: Re: [PATCH v9 net-next 2/7] net: add low latency socket poll

From: Eliezer Tamir <[email-masked]>
Date: Wed, 05 Jun 2013 18:30:56 +0300

On 05/06/2013 18:21, Eric Dumazet wrote:
> On Wed, 2013-06-05 at 13:34 +0300, Eliezer Tamir wrote:
>
>
> This is probably too big to be inlined, and nonblock should be a bool

> It would also make sense to give end_time as a parameter, so that the
> polling() code could really give  a end_time for the whole duration of
> poll().
>
> (You then should test can_poll_ll(end_time) _before_ call to
> ndo_ll_poll())

how would you handle a nonblocking operation in that case?
I guess if we have a socket option, then we don't need to handle none 
blocking any diffrent, since the user specified exactly how much time to 
waste polling. right?